Skip to main content
PATCH
/
api
/
templates
/
{template_id}
Update Template Route
curl --request PATCH \
  --url https://api.example.com/api/templates/{template_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_shared": true
}
'
{
  "name": "<string>",
  "target": "<string>",
  "fun": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_username": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "",
  "target_type": "glob",
  "args": [],
  "kwargs": {},
  "is_shared": false
}

Documentation Index

Fetch the complete documentation index at: https://www.halite-app.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

template_id
string<uuid>
required

Body

application/json
is_shared
boolean
required

Response

Successful Response

name
string
required
Required string length: 1 - 100
target
string
required
Required string length: 1 - 1024
fun
string
required
Required string length: 1 - 128
id
string<uuid>
required
owner_user_id
string<uuid>
required
owner_username
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string
default:""
Maximum string length: 500
target_type
enum<string>
default:glob
Available options:
glob,
list,
pcre,
grain,
nodegroup,
compound
args
string[]
kwargs
Kwargs · object
is_shared
boolean
default:false